# Class Citation

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a citation

    public abstract class Citation

Inheritance
  object
  Citation

Derived
  CharacterLocationCitation
  ContentBlockLocationCitation
  PageLocationCitation

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### Citation(string)

Initializes a new instance of the Citation class with a specified type.

    protected Citation(string type)

#### Parameters

`type` string

  The type of the citation.

## Properties

### CitedText

Gets the text that is cited.

    [JsonPropertyName("cited_text")]
    public string CitedText { get; init; }

#### Property Value

string

### DocumentIndex

Gets the document index of the citation.

    [JsonPropertyName("document_index")]
    public int DocumentIndex { get; init; }

#### Property Value

int

### DocumentTitle

Gets the title of the document from which the citation is made.

    [JsonPropertyName("document_title")]
    public string DocumentTitle { get; init; }

#### Property Value

string

### Type

Gets the type of the citation.

    public string Type { get; init; }

#### Property Value

string